language: c
os: linux
dist: xenial
compiler:
  - clang
  - gcc
script: extras/build-tests/nix/build $BUILDCONFIG
env:
  - BUILDCONFIG=""
  - BUILDCONFIG="system-cares"
  - BUILDCONFIG="system-cares system-curl"
  - BUILDCONFIG="local-curl"
matrix:
  include:
  - os: osx
    env: BUILDCONFIG=""
  - os: osx
    env: BUILDCONFIG="system-cares"
  - os: osx
    env: BUILDCONFIG="system-cares system-curl"
  - os: osx
    env: BUILDCONFIG="local-curl"
  - env: BUILDCONFIG="libressl-27"
  - env: BUILDCONFIG="libressl-28"
  - env: BUILDCONFIG="libressl-29"
  - env: BUILDCONFIG="openssl-102"
  - env: BUILDCONFIG="openssl-110"
  - env: BUILDCONFIG="openssl-111"
